{% extends 'base_admin.html.twig' %}

{% block body %}

<title>bet</title>

    <h1 class="h1-categories-admin">Détail du pari</h1>

    <div class="container">
        <table id="table" class="table table-striped table-bordered" cellspacing="0">
            <tbody>
                <tr>
                    <th>Nom</th>
                    <th>Liste des Choix</th>
                    <th>Event</th>
                    <th>Mise Totale</th>
                    <th>Temps restant avant cloture</th>
                    <th>Date de l'évènement</th>
                    <th>Créé le</th>
                    <th>Créateur</th>
                    <th>Statut de la demande</th>
                    <th>Sponsorisé</th>
                    <th>Actions</th>

                </tr>
                <tr>
                    <td>{{ bet.name }}</td>

                    <td>
                        {% for betChoice in betChoices %}
                        <ul>
                            <li>{{ betChoice.name }}</li>
                        </ul>
                        {% endfor %}
                    </td>

                    <td>{{ bet.eventIdEvent.name }}</td>
                    <td>{{ bet.totalStake }}€</td>
                    <td>{{ elapsed }}</td>
                    <td>Le {{ event.date ? event.date|date('d-m-Y') : '' }} à  {{ event.date ? event.date|date('H:i:s') : '' }}</td>
                    <td>Le {{ bet.createdAt ? bet.createdAt|date('d-m-Y') : '' }} à  {{ bet.createdAt ? bet.createdAt|date('H:i:s') : '' }}</td>
                    <td>{{ user.firstname }} {{ user.lastname }}</td>
                    <td>{{ bet.status }}</td>
                    <td>
                        {% if bet.isSponsored == true %}
                            Sponsorisé
                        {% else %}
                            Non Sponsorisé
                        {% endif %}
                    </td>
                    <td style="display: flex; flex-direction: column; align-items: center; padding-top: 17px;">
                        <a href="{{ path('admin_bet_edit', {'id': bet.id}) }}"  class="link-edit-bet-show" title="Modifier"><i class="fa fa-pencil" aria-hidden="true"></i></a><br />
                            {{ include('admin_bet/_delete_form.html.twig') }}
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <div class="admin-request-button">
        {% if bet.status == "EN COURS" %}
            
            <div>
                {{ form_start(formValidate, {'attr' : { 'id' : 'formValidate'}}) }}
                    {{ include("admin_bet/_formModerationValidate.html.twig", {formValidate: formValidate}) }}
                    <button class="admin-request-button-validate btn btn-success" id="btn-validate-request">Valider et publier</button>
                {{ form_end(formValidate) }}
            </div>
            <div>
                {{ form_start(formRefuse) }}
                    {{ include("admin_bet/_formModerationRefuse.html.twig", {formRefuse: formRefuse}) }}
                    <button class="admin-request-button-refuse btn btn-danger">Refuser la demande</button>
                {{form_end(formRefuse) }}
            </div>
        {% elseif bet.status == "VALIDÉ" %}
            <div class="admin-request-button">
                {{ form_start(formRefuse) }}
                    {{ include("admin_bet/_formModerationRefuse.html.twig", {formRefuse: formRefuse}) }}
                    <button class="admin-request-button-refuse btn btn-danger">Ne plus afficher sur le site</button>
                {{ form_end(formRefuse) }}
            </div>
        {% elseif bet.status == "REFUSÉ" %}
            <div class="admin-request-button">
                {{ form_start(formValidate) }}
                    {{ include("admin_bet/_formModerationValidate.html.twig", {formValidate: formValidate}) }}
                    <button class="admin-request-button-validate btn btn-success">Publier sur le site</button>
                {{ form_end(formValidate) }}
            </div>
        {% endif %}
    </div>

    <br />
    <br />
    <br />

    {% if isPublic == true %}
        <h2 class="h1-categories-admin">Déterminer le choix gagnant</h2>

        <br />
        <br />
        {{ form_start(formWinChoice) }}
            {{ include("admin_bet/_formSetWinChoice.html.twig", {formWinChoice: formWinChoice}) }}
            
            <br />
            <br />
            <button class="admin-request-button-validate btn btn-success">Soumettre</button>
        {{ form_end(formWinChoice) }}
    {% endif %}

 



    <a href="{{ path('admin_bet_index') }}" class="backToList"><i class="fa fa-arrow-left" aria-hidden="true"></i> Retour à liste des paris</a><br />

{% endblock %}


